import javax.swing.*; 
import java.awt.*; 
import java.awt.event.*;
public class GraphicalController extends JPanel implements ActionListener {
    private JTextField hField = new JTextField(20);
    private JTextField vField = new JTextField(20);
    private Model model;
    private GraphicalView view;
    public GraphicalController(Model model, GraphicalView view) {
        this.model = model;
        this.view = view;
        JLabel hLabel = new JLabel("Ange utgångshastighet: ");
        hLabel.setBackground(Color.PINK);
        hLabel.setOpaque(true);
        JLabel vLabel = new JLabel("Ange kastvinkel: ");
        vLabel.setBackground(Color.ORANGE);
        vLabel.setOpaque(true);
        hField.addActionListener(this);
        vField.addActionListener(this);
        setLayout(new GridLayout(2,2));
        add(hLabel);
        add(hField);
        add(vLabel);
        add(vField);
    }//constructor

   public void actionPerformed(ActionEvent e) {
        if (e.getSource() == hField)
            model.setSpeed(Double.parseDouble(hField.getText()));
        else if (e.getSource() == vField)
            model.setAngle(Double.parseDouble(vField.getText()));
        view.showResult();
    }//actionPerformed
}//GraphicalController
