import javax.swing.*;
import java.awt.*;
import java.text.*;
public class GraphicalView extends JPanel {
    private JLabel resultatLabel = new JLabel();
    private Model model;
    public GraphicalView(Model model) {
        this.model = model;
        resultatLabel.setBackground(Color.YELLOW);
        resultatLabel.setForeground(Color.MAGENTA);
        resultatLabel.setOpaque(true);
        add(resultatLabel);
        setBackground(Color.YELLOW);
    }//constructor

    public void showResult() {
        NumberFormat r = NumberFormat.getInstance();
        r.setMaximumFractionDigits(2);
        r.setMinimumFractionDigits(2);
        resultatLabel.setText("Banhöjden är " + r.format(model.getHeight()) + "\n"
                              + " och kastlängden är " + r.format(model.getDistance()));
    }//showResult
}//GraphicalView
