import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
public class TestDie extends JFrame implements ActionListener {
    private JButton tossButton = new JButton("KASTA");
    private GraphicDie theDie = new GraphicDie();
    private JTextArea textLabel = new JTextArea();
    private int nrOfThrows = 0;
    private int sum = 0;
    public TestDie() {
        setLayout(new GridLayout(3,1));
        add(theDie);
        add(textLabel);
        textLabel.setBackground(Color.WHITE);
        textLabel.setForeground(Color.RED);
        textLabel.setEnabled(false);
        tossButton.addActionListener(this);
        add(tossButton);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
    }//construktor

    public void actionPerformed(ActionEvent e) {
        if (e.getSource() == tossButton) {
            theDie.roll();
            theDie.repaint();
            nrOfThrows = nrOfThrows + 1;
            int dots = theDie.getValue();
            sum = sum + dots;
            textLabel.setText("Poäng: " + dots
                                  + "\nAntal kast: " + nrOfThrows
                                  + "\nTotal summa: " + sum);
       }
    }//actionPerformed

    public static void main(String [] args) {
       TestDie td = new TestDie();
        td.setSize(300, 300);
        td.setVisible(true);
    }//main
}//TestDie
